> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post categoryv1

> Updates a category in the library (reset not specified fields).



## OpenAPI

````yaml /openapis/category.json post /category/v1
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: category
    description: >-
      Lets you manage (list, load, patch, update, add new, delete) categories
      and category values
paths:
  /category/v1:
    post:
      tags:
        - category
      description: Updates a category in the library (reset not specified fields).
      operationId: category:v1.Category.updateCategoryDefinition
      parameters:
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      requestBody:
        $ref: '#/components/requestBodies/ApiCategoryDefinition'
      responses:
        '200':
          description: A ApiCategoryDefinition response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiCategoryDefinition'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  requestBodies:
    ApiCategoryDefinition:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiCategoryDefinition'
      required: true
  schemas:
    ApiCategoryDefinition:
      type: object
      properties:
        description:
          type: string
          description: The description of the category
        dynamicValues:
          type: boolean
          description: Whether the category authorizes dynamic values
        folder:
          type: boolean
          description: Whether the category is the Folder category (read-only)
        id:
          type: string
          description: The ID of the category
        kind:
          type: string
        levelNames:
          type: array
          description: The name of the levels in the category
          items:
            type: string
        levelNames_i18n:
          type: array
          description: >-
            The internationalized name of the levels in the category (read-only
            field)
          items:
            type: string
        libraryId:
          type: string
          description: The ID of the library
        name:
          type: string
          description: The name of the category
        tags:
          type: boolean
          description: Whether the category is the Tags category (read-only)
        value:
          type: string
          description: >-
            The ID of the category (backward compatibility for
            category.category.listCategoryDefinitions)
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````